From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/kexi/
Date: Thu, 18 Apr 2019 17:56:47 +0000 (UTC) [thread overview]
Message-ID: <1555610000.8a5eb851d4e1cd8fb44b6ecceb70ea75c786091d.asturm@gentoo> (raw)
commit: 8a5eb851d4e1cd8fb44b6ecceb70ea75c786091d
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 18 17:51:06 2019 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Apr 18 17:53:20 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8a5eb851
app-office/kexi: 3.2.0 version bump
Package-Manager: Portage-2.3.63, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
app-office/kexi/Manifest | 1 +
app-office/kexi/kexi-3.2.0.ebuild | 81 +++++++++++++++++++++++++++++++++++++++
2 files changed, 82 insertions(+)
diff --git a/app-office/kexi/Manifest b/app-office/kexi/Manifest
index 6fb088c7bbf..ab44120d6df 100644
--- a/app-office/kexi/Manifest
+++ b/app-office/kexi/Manifest
@@ -1 +1,2 @@
DIST kexi-3.1.0.tar.xz 3028492 BLAKE2B 8af7105ba570af225e7e2cbea2ab15d0c6e4997414c321654691af1329930754bea8a52c3ce5abb246c6a47e17473c462b9212eab8ef30fc23e4691f2ab8c9b2 SHA512 538b8b2c021bababb59a05cd477aa4414df76f84a9ae88244afe6f3dc29751257bfee2586279ee8ee7800d939702c3a81f71562039a6f97132f2cba4e9018118
+DIST kexi-3.2.0.tar.xz 3624956 BLAKE2B 8d0b3712f07d13f606c4c0d714b3d4ea0fe9f56e4d4a3aeeb144ffda56cd5ef89e4f08d5660550364103c86acd60923ddc74fcea135a23fffbae87853a7c00f4 SHA512 5cb9e0747c8e7ea19020b62345571ba10f65278dcc718bb0772827721bf8812d0ffee3c35d53b57285884c66e0406520835c7b00789fbe5459717722dff13e93
diff --git a/app-office/kexi/kexi-3.2.0.ebuild b/app-office/kexi/kexi-3.2.0.ebuild
new file mode 100644
index 00000000000..5dc44cc73a4
--- /dev/null
+++ b/app-office/kexi/kexi-3.2.0.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# KDE_HANDBOOK="true"
+KDE_TEST="forceoptional"
+inherit kde5
+
+DESCRIPTION="Visual database applications creator"
+HOMEPAGE="https://kde.org/applications/office/kexi/ http://www.kexi-project.org/"
+[[ ${KDE_BUILD_TYPE} != live ]] && SRC_URI="mirror://kde/stable/${PN}/src/${P}.tar.xz"
+
+KEYWORDS="~amd64 ~x86"
+IUSE="debug experimental marble mdb mysql postgres sqlite webkit"
+
+BDEPEND="sys-devel/gettext"
+DEPEND="
+ $(add_frameworks_dep breeze-icons-rcc)
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kcodecs)
+ $(add_frameworks_dep kcompletion)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kitemviews)
+ $(add_frameworks_dep ktexteditor)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep designer)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ >=dev-db/kdb-3.1.0-r1:5=[debug?,mysql?,postgres?,sqlite?]
+ >=dev-libs/kproperty-3.1.0:5=
+ >=dev-libs/kreport-3.1.0:5=[scripting]
+ marble? ( $(add_kdeapps_dep marble) )
+ mdb? (
+ dev-libs/glib:2
+ virtual/libiconv
+ )
+ mysql? ( virtual/libmysqlclient )
+ postgres? (
+ dev-db/postgresql:*
+ dev-libs/libpqxx
+ )
+ webkit? ( >=dev-qt/qtwebkit-5.212.0_pre20180120:5 )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if ! use webkit; then
+ punt_bogus_dep Qt5 WebKit
+ punt_bogus_dep Qt5 WebKitWidgets
+ fi
+
+ kde5_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DKEXI_MIGRATEMANAGER_DEBUG=$(usex debug)
+ -DKEXI_AUTORISE_TABBED_TOOLBAR=$(usex experimental)
+ -DKEXI_SCRIPTS_SUPPORT=$(usex experimental)
+ $(cmake-utils_use_find_package marble KexiMarble)
+ $(cmake-utils_use_find_package mdb GLIB2)
+ $(cmake-utils_use_find_package mysql MySQL)
+ $(cmake-utils_use_find_package postgres PostgreSQL)
+ )
+ use experimental && mycmakeargs+=( -DKEXI_SCRIPTING_DEBUG=$(usex debug) )
+
+ kde5_src_configure
+}
next reply other threads:[~2019-04-18 17:57 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-04-18 17:56 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-28 17:39 [gentoo-commits] repo/gentoo:master commit in: app-office/kexi/ Andreas Sturmlechner
2022-10-06 11:39 Andreas Sturmlechner
2022-03-02 3:44 Sam James
2022-02-28 23:56 Sam James
2021-10-05 7:39 Jakov Smolić
2020-01-12 17:51 Andreas Sturmlechner
2020-01-12 13:18 Andreas Sturmlechner
2019-08-27 20:22 Andreas Sturmlechner
2019-08-24 10:30 Thomas Deutschmann
2019-05-19 20:55 Andreas Sturmlechner
2019-05-19 20:45 Mikle Kolyada
2018-06-30 20:47 Andreas Sturmlechner
2018-05-09 6:32 Andreas Sturmlechner
2018-05-08 7:11 Agostino Sarubbo
2018-05-07 0:24 Thomas Deutschmann
2018-03-18 3:22 Michael Palimaka
2017-09-26 14:32 Michael Palimaka
2017-09-26 14:32 Michael Palimaka
2017-08-21 13:15 Andreas Sturmlechner
2017-08-12 12:40 Michael Palimaka
2017-07-04 15:49 Agostino Sarubbo
2017-07-04 10:17 Agostino Sarubbo
2017-06-09 19:24 Andreas Sturmlechner
2017-03-19 2:24 Michael Palimaka
2016-11-09 13:14 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1555610000.8a5eb851d4e1cd8fb44b6ecceb70ea75c786091d.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox